EDIT - bug #6801

DwCA Export is not stored at expected place
07/11/2017 11:07 PM - Andreas Mdller

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 1:00 hour
Target version: Release 4.10

Severity: critical Found in Version: Release 4.8
Description

I run an DwCA export and also got a result (with some warnings). However, no file was created at the expected place on the local
machine.

Related issues:

Related to EDIT - task #6754: Adapt DwcA Export to CDM light export strategy Closed
Related to EDIT - feature request #6755: Make DwcA export available for annos... Closed
Related to EDIT - feature request #6800: Allow all filters for DwCA export in... Closed

Associated revisions

Revision eb754e1b - 09/01/2017 07:43 AM - Katja Luther

ref #6801: byte array as result was not handled

Revision 23443827 - 09/15/2017 11:20 AM - Katja Luther

fix #6799: the destination file should not be passed to the server

Revision 30878586 - 09/21/2017 10:02 AM - Katja Luther
fix #6801 :fix writing of dwca file

History

#1 - 07/11/2017 11:07 PM - Andreas Miiller

- Found in Version set to Release 4.8

#2 - 07/11/2017 11:07 PM - Andreas Miiller
- Related to task #6754: Adapt DwcA Export to CDM light export strategy added

#3 - 07/11/2017 11:08 PM - Andreas Miiller

- Related to feature request #6755: Make DwcA export available for annosys via web services added

#4 - 07/11/2017 11:08 PM - Andreas Miiller
- Related to feature request #6800: Allow all filters for DwCA export in TaxEditor added

#5 - 07/21/2017 10:27 AM - Andreas Miiller

- Target version changed from Release 4.9 to Release 4.10

#6 - 09/01/2017 07:38 AM - Katja Luther
- Status changed from New to In Progress

- Estimated time set to 1:00 h

#7 - 09/01/2017 07:44 AM - Katja Luther
- Status changed from In Progress to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

the result is a byte array, this was not handled.
#8 - 09/14/2017 01:57 PM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Muiller to Katja Luther

Still the result does not show up in the expected folder.

But also no final result page is shown so maybe the export was not complete. | tested with test-server/rem_conf_am. The result page should always
be shown.

DwC-A should also be allowed to run on subtrees like CDM-light. This is not yet implemented on Ul side but it is implemented in the export itself.

#9 - 09/14/2017 02:09 PM - Andreas Miiller

Andreas Muller wrote:
Still the result does not show up in the expected folder.

But also no final result page is shown so maybe the export was not complete. | tested with test-server/rem_conf_am. The result page should
always be shown.

DwC-A should also be allowed to run on subtrees like CDM-light. This is not yet implemented on Ul side but it is implemented in the export itself.

The later is handled in #6800

#10 - 09/15/2017 11:25 AM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

this should be resolved now.

#11 - 09/20/2017 11:57 PM - Andreas Miiller

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther

The result still does not show up in the expected folder.

However, the progress monitoring works now and also the result page shows up at the end.
#12 - 09/21/2017 10:02 AM - Katja Luther

- Status changed from Feedback to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|30878586ebb8f52ed48a22d66b62ecb6adb37356.

#13 - 09/21/2017 10:03 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Mdiller

this should be fixed with the last commit.

#14 - 09/21/2017 05:01 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 50 to 100

Seems to be fixed now
